#include "int_test.h"
#include "CameraDrivingPerceptionThree_GeneralWrapper.h"
#include "camera_driving_perception_three/executable.h"


void setup_test()
{
	// Logger for wrapper
	// ara headers must be added
	ara::log::InitLogging("Camera", "driving_perception_three_TEST", ara::log::LogLevel::kVerbose, (ara::log::LogMode::kConsole | ara::log::LogMode::kRemote));

	ara::log::Logger &mainLog { ara::log::CreateLogger("main", "camera perception three sample context", ara::log::LogLevel::kVerbose) };

	mainLog.LogInfo() << "Let's produce some camera perception data...";

	GeneralWrapper gw(mainLog);

	while(1)
	{
		gw._CamDrvPerceptionThree2Fusion_Provide.Publish();
		std::this_thread::sleep_for(std::chrono::milliseconds(300));
		// printf("test\n");
	}
}



